%global pkg_name        SQL-Translator
%global pkg_version     0.0899_01
%global rpm_pkg_version 0.08_99_01
%global rpm_pkg_release 1.n0i.5

Summary:       Convert RDBMS SQL CREATE syntax
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JR/JROBINSON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Module::Build)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::Base)
BuildRequires: perl(Class::Data::Inheritable) >= 0.02
BuildRequires: perl(Class::MakeMethods)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Parse::RecDescent) >= 1.94
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML) >= 0.39
%endif

Requires: perl(Parse::RecDescent) >= 1.94
Requires: perl(Class::Data::Inheritable) >= 0.02

# skip optional & non versioned deps
%global perl_filter_req 'perl\\((:|Data::Dumper|DBI|GD|GraphViz|IO::Scalar|Parse::RecDescent|Spreadsheet|Storable|Template|Text::|XML::)'


%description
SQL::Translator is a group of Perl modules that converts vendor-specific
SQL table definitions into other formats, such as other vendor-specific
SQL, ER diagrams, documentation (POD and HTML), XML, and Class::DBI
classes.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
# don't even hope this will ever pass all tests
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc AUTHORS BUGS Changes LICENSE README


%changelog
* Sun Oct 21 2007 Marius Feraru <altblue@n0i.net> - 0.08_99_01-1.n0i.5.0.0899_01
- version 0.0899_01
- added more versioned deps
- skip more optional dependencies

* Thu Sep 27 2007 Marius Feraru <altblue@n0i.net> - 0.08_001-1.n0i.4.0.08001
- version 0.08001

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.08

* Tue Aug 22 2006 Marius FERARU <altblue@n0i.net> - 0.07-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
